Class | Chef::Runner
In: | lib/chef/runner.rb
Parent: | Object

## Chef::Runner

This class is responsible for executing the steps in a Chef run.

### Methods

converge new run_action

### Included Modules

Chef::Mixin::ParamsValidate

### Attributes

delayed_actions | [R] |
run_context | [R] |

### Public Class methods

new(run_context)

### Public Instance methods

converge()

Iterates over the `resource_collection` in the `run_context` calling `run_action` for each resource in turn.

run_action(resource, action)

Determine the appropriate provider for the given resource, then execute it.

[Validate]